<?php

use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Route;
use Illuminate\Routing\Router;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::group(['middleware' => 'web'], function (Router $router) {
    
    Auth::routes();
    $router->get('/', 'WelcomeController@index')->name('welcome');
    
    $router->group(['middleware' => 'auth'], function (Router $router) {
        
        $router->get('/home', 'HomeController@index')->name('home');
        
        $router->get('/projects/create', 'ProjectController@showCreateProject')->name('create-project');
        $router->get('/projects/update', 'ProjectController@showUpdateProject')->name('update-project');
        
        $router->get('/projects/list', 'ProjectController@listProjects')->name('list-projects');
        $router->get('/projects/show', 'ProjectController@showProject')->name('show-project');
        
    });
    
});
